package com.usoft.fin.grpc.dal.mapper;

import com.usoft.fin.grpc.dal.entity.DrawApplyOrderDetail;

public interface DrawApplyOrderDetailMapper {
    /**
     * deleteByPrimaryKey
     * 
     * @param id
     * @return int
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * 
     * @param record
     * @return int
     */
    int insert(DrawApplyOrderDetail record);

    /**
     * insertSelective
     * 
     * @param record
     * @return int
     */
    int insertSelective(DrawApplyOrderDetail record);

    /**
     * selectByPrimaryKey
     * 
     * @param id
     * @return DrawApplyOrderDetail
     */
    DrawApplyOrderDetail selectByPrimaryKey(Integer id);

    /**
     * updateByPrimaryKeySelective
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKeySelective(DrawApplyOrderDetail record);

    /**
     * updateByPrimaryKey
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKey(DrawApplyOrderDetail record);
}